## ros-indigo-turtlebot-follower 2.3.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(turtlebot_follower)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS nodelet roscpp visualization_msgs turtlebot_msgs depth_image_proc dynamic_reconfigure)
find_package(Boost REQUIRED)

generate_dynamic_reconfigure_options(cfg/Follower.cfg)

catkin_package(
  INCLUDE_DIRS
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS nodelet roscpp visualization_msgs turtlebot_msgs depth_image_proc dynamic_reconfigure
)

###########
## Build ##
###########

## Specify additional locations of header files
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME} src/follower.cpp)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS}
  ${PROJECT_NAME}_gencfg
  ${turtlebot_msgs_EXPORTED_TARGETS}
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark all other required files for installation
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY plugins
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  scripts/switch.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_turtlebot_follower.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

=== debian/changelog ===
ros-indigo-turtlebot-follower (2.3.7-0trusty) trusty; urgency=high

  * fixed bad printf format
  * clean up cmake dependencies
  * Included depth_image_proc in cmake deps
  * Contributors: Mr-Yellow, Rohan Agrawal, Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 01 Nov 2016 07:00:00 -0000

ros-indigo-turtlebot-follower (2.3.6-0trusty) trusty; urgency=high

  * add dependency on depth_image_proc
  * Contributors: Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 29 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-follower (2.3.5-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-follower (2.3.4-0trusty) trusty; urgency=high

  * Switch to use depth/image_rect instead of depth/points for efficiency.
    It takes ~ 1/4th the cpu power to do this version.
    This has the added benefit of not requiring PCL as a dependency.
  * Add support for joystick override of follower
    This allows joystick button 5 to toggle follower on and off.
    It simply adds another input to the mux which sends zero
    velocity with a slightly higher priority than the follower.
  * the sim directory no longer exists
    It was implicitly removed in #142 <https://github.com/turtlebot/turtlebot_apps/issues/142>
  * Added arguments in launch file
  * Add simulation launch in turtlebot_follower
  * Contributors: Jihoon Lee, Nadya Ampilogova, Tully Foote

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 28 Jun 2016 07:00:00 -0000

ros-indigo-turtlebot-follower (2.3.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Mar 2015 07:00:00 -0000

ros-indigo-turtlebot-follower (2.3.2-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Wed, 21 Jan 2015 08:00:00 -0000

ros-indigo-turtlebot-follower (2.3.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-follower (2.3.0-0trusty) trusty; urgency=high

  * remove inappropriate / fixes #127 <https://github.com/turtlebot/turtlebot_apps/issues/127>
  * sim to simulation param
  * follower in simulation
  * Contributors: Jihoon Lee

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Tue, 30 Dec 2014 08:00:00 -0000

ros-indigo-turtlebot-follower (2.2.4-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 14 Oct 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.2.3-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 27 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.2.2-0trusty) trusty; urgency=high

  * Use service files to turtlebot_msgs.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Thu, 26 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.2.1-0trusty) trusty; urgency=high



 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Mon, 23 Sep 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.2.0-0trusty) trusty; urgency=high

  * Rename include launchers to *.launch.xml.
  * Changelogs at package level.

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 30 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.1.1-0trusty) trusty; urgency=high

  * Fix namespace issues
  * Rationalize the use of velocity smoother: remap properly robot_cmd_vel, add comments, and avoid meaningless topic names

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 09 Aug 2013 07:00:00 -0000

ros-indigo-turtlebot-follower (2.1.0-0trusty) trusty; urgency=high

  * Catkinized
  * Unexistent include dir removed from package description

 -- Daniel Stonier <stonier@rnd.yujinrobot.com>  Fri, 19 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-turtlebot-follower
Section: misc
Priority: extra
Maintainer: Daniel Stonier <stonier@rnd.yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-turtlebot-msgs, ros-indigo-visualization-msgs
Homepage: http://ros.org/wiki/turtlebot_apps
Standards-Version: 3.9.2

Package: ros-indigo-turtlebot-follower
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-topic-tools, ros-indigo-turtlebot-bringup, ros-indigo-turtlebot-msgs, ros-indigo-turtlebot-teleop, ros-indigo-visualization-msgs
Description: Follower for the turtlebot.
 Follows humans and robots around by following the centroid of a box points in front of the turtlebot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-turtlebot-follower//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
